Subject: bug#25375: 25.1; how to configure (x-)select-enable-primary compatible with emacs24

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jan 2017 16:13:06 +0200

> From: David Bremner <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 06 Jan 2017 09:49:47 -0400
> 
> I guess I could migrate the setting of x-select-enable-primary out of
> customize and into my init.el.

I think a better idea is to use different customization files for
different Emacs versions.  The Emacs user manual shows how to do that
in "Saving Customizations".

> I wonder if maybe there should have been a period of deprecation
> before marking the variables obsolete.

Declaring a variable obsolete _is_ the indication that it's
deprecated.